Bug 55586 - ircii looses state when connection to server breaks
Summary: ircii looses state when connection to server breaks
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: ircii (Show other bugs)
(Show other bugs)
Version: 7.2
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-11-02 15:28 UTC by Russell King
Modified: 2008-05-01 15:38 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-01-17 23:11:05 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Russell King 2001-11-02 15:28:02 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i586; en-US; rv:0.9.5) Gecko/20011012

Description of problem:
When ircII reconnects to a version 2.8 irc server, it fails to join the
original channels correctly, and appears to believe that there are no users
on any channels.  Instead of producing the usual:
<nick> talk talk talk
it produces:
(nick/#channel) talk talk talk

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Connect to a server, and join an active channel
2.break the link between client and server by some means
3.wait for the server to time the client out (ping timeout)
4.reconnect the link, wait for client to realise its lost the connection -
it will reconnect automatically.

	

Actual Results:  client now believes that (a) no one is on the channel, (b)
displays conversation using (nick/#channel) format.

Expected Results:  Client should be using the <nick> format.

Additional info:

I have a patch that fixes this problem and a src rpm located at:
ftp.linux.org.uk/pub/linux/rmk - in addition, the src rpm there enables
ipv6 support, so you may prefer to take the patch only.

ircii-4.4Z-fixrejoin.patch
ircii-4.4Z-7_rmk3.src.rpm

Comment 1 Pekka Pietikäinen 2001-12-07 17:57:20 UTC
Also fixed by ircii-20010612 (or -current), it's the latest released
version. They changed their numbering scheme so no new x.y versions 
will be out, just ircii-yyyymmdd.

Comment 2 Pekka Savola 2002-01-17 23:10:59 UTC
Crap, IPv6 should have been enabled in #35643 but wasn't..


Comment 3 Jeremy Katz 2002-01-18 00:04:52 UTC
ircii has been deprecated in favor of epic for future releases as epic is 99%
compatible but has some additional nice features.


Note You need to log in before you can comment on or make changes to this bug.